<?php
//Exportar datos de php a Excel
header("Content-Type: application/vnd.ms-excel" );
header("Expires: 0" );
header("Cache-Control: must-revalidate, post-check=0, pre-check=0" );
header("content-disposition: attachment;filename=Reportes.xls" );
?>
<? 
require_once('../../../conf/connection.php');

$nivel = $_GET["nivel"];
$nombreuser =$_GET["nombreuser"];
$estado=$_GET["estado"];

$rut=$_GET["rut"];

$desde_ft =$_GET["desde"];
$desde=date('Y-m-d',strtotime($desde_ft));

$hasta_ft =$_GET["hasta"];
$hasta=date('Y-m-d',strtotime($hasta_ft));

$saldo="SELECT SUM(total) AS saldo FROM  ventas WHERE rut_clientes='$rut' and  fecha BETWEEN '$desde' AND '$hasta'";
$rs_query=mysql_query($saldo);
$suma=mysql_result($rs_query,0,"saldo");
 ?>
<html>
	<head>
<script language="javascript">
function imprimir() {
	window.print();

	
}
</script>
	</head>

	<body>	
    <table width="789" border=0 cellpadding=3 cellspacing=0 class="fuente8">					
					  <tr>
						  <td width="650" align="center" >LISTADO DE VENTAS </td>
						  
					  </tr>
					  <tr>
					    <td align="center" > RUT CLIENTE: <? echo $rut ?></td>
      </tr>
					  
					  
					  
					  <tr>
					    <td align="center" >DESDE: <? echo $desde_ft?> --  HASTA: <? echo $hasta_ft?></td>
      </tr>
					  
					  
                      </table>
                     <table width="975" >
					  
					 
					  
					        <tr>
					          <td><p >
					            <? 

        $buscar="select * from ventas where rut_clientes='$rut' and fecha BETWEEN '$desde' AND '$hasta' ";
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
				<table  width="586" border="0">
				<tr bgcolor="#69BFE0" >
				<td width="207">Pedido</td>
				<td width="95">Fecha</td>
				<td width="80">subtotal </td>
			
				<td width="81">Total </td>
				</tr><?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
					<tr><?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
					 <td><? echo  $row["idpedido"] ?></td>
					 <td><? echo  $row["fecha"] ?></td>
					 <td align="right"><? echo $row["subtotal"] ?></td>
					
					 <td align="right"><? echo $row["total"] ?></td>
				    </tr>
					
				<? }?>
                <tr>
					  <td colspan="5" align="right">Total: <? echo $suma ?></td>
				  </tr>
				</table><br>
			
<? } 
			else
			{
				echo "No hubieron coincidencias!";
     
			} ?>
 </body>
</html>
